POST api/itemapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
ItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| descriptions | Dictionary of string [key] and string [value] |
None. |
|
| active | boolean |
None. |
|
| code | string |
Required String length: inclusive between 0 and 30 |
|
| color_id | globally unique identifier |
None. |
|
| customer_id | globally unique identifier |
Required |
|
| grouping_quantity | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| item_service_id | globally unique identifier |
None. |
|
| item_garment_type_id | globally unique identifier |
None. |
|
| item_segment_id | globally unique identifier |
None. |
|
| item_type_id | globally unique identifier |
None. |
|
| purchase_price | decimal number |
None. |
|
| sale_price | decimal number |
None. |
|
| size_id | globally unique identifier |
None. |
|
| supplier_code | string |
String length: inclusive between 0 and 30 |
|
| supplier_description | string |
String length: inclusive between 0 and 100 |
|
| unit | string |
String length: inclusive between 0 and 10 |
|
| weight | integer |
None. |
|
| root_code | string |
String length: inclusive between 0 and 30 |
Request Formats
application/json, text/json
Sample:
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"color_id": "0d66ad5b-9825-4677-bad6-9cfadb91de56",
"customer_id": "095be77b-030d-4f71-9235-9d5bb26c109d",
"grouping_quantity": 1,
"id": "eca03c95-d6d1-49a5-a588-cca1ab88fa75",
"item_service_id": "4e731b48-73f0-44d5-a6c5-4d5ad87a8795",
"item_garment_type_id": "944a4ac2-beaa-4a18-be8f-3652f8ae32b1",
"item_segment_id": "19651c35-75ff-4ec4-9123-3eb931f23a71",
"item_type_id": "d8b0c58b-c9ca-4e4b-aaab-d16866993805",
"purchase_price": 1.0,
"sale_price": 1.0,
"size_id": "55c59323-d1d9-40b0-aba2-b3f4650b1832",
"supplier_code": "sample string 6",
"supplier_description": "sample string 7",
"unit": "sample string 8",
"weight": 1,
"root_code": "sample string 9"
}
application/xml, text/xml
Sample:
<item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<code>sample string 2</code>
<color_id>0d66ad5b-9825-4677-bad6-9cfadb91de56</color_id>
<customer_id>095be77b-030d-4f71-9235-9d5bb26c109d</customer_id>
<grouping_quantity>1</grouping_quantity>
<id>eca03c95-d6d1-49a5-a588-cca1ab88fa75</id>
<item_garment_type_id>944a4ac2-beaa-4a18-be8f-3652f8ae32b1</item_garment_type_id>
<item_segment_id>19651c35-75ff-4ec4-9123-3eb931f23a71</item_segment_id>
<item_service_id>4e731b48-73f0-44d5-a6c5-4d5ad87a8795</item_service_id>
<item_type_id>d8b0c58b-c9ca-4e4b-aaab-d16866993805</item_type_id>
<purchase_price>1</purchase_price>
<root_code>sample string 9</root_code>
<sale_price>1</sale_price>
<size_id>55c59323-d1d9-40b0-aba2-b3f4650b1832</size_id>
<supplier_code>sample string 6</supplier_code>
<supplier_description>sample string 7</supplier_description>
<unit>sample string 8</unit>
<weight>1</weight>
<descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</descriptions>
</item>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"eadb52d6-bd50-4e1d-9385-f2671f1dee8a"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">eadb52d6-bd50-4e1d-9385-f2671f1dee8a</guid>